Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Child_Process Class Template Reference

Helper class for the child process created in TAO_AV_Endpoint_Process_Strategy. More...

`#include <Endpoint_Strategy_T.h>`

Inheritance diagram for TAO_AV_Child_Process

[legend]
List of all members.

## Public Methods
| TAO_AV_Child_Process ()
| Constructor.
virtual | ~TAO_AV_Child_Process ()
| Destructor.
int | init (int argc, char **argv, CORBA::ORB_ptr orb, PortableServer::POA_ptr poa)
| Initializes the ORB, creates and activates the T_StreamEndpoint, T_VDev, T_MediaCtrl in the POA.
int | run (ACE_Time_Value *tv = 0)
| runs the ORB event loop.
## Protected Methods
int | activate_objects (int argc, char **argv, CORBA::Environment &env)
char* | activate_with_poa (PortableServer::Servant servant, CORBA::Environment &env)
| activate the servant with the poa.
int | unbind_names (void)
| Removes the vdev and streamendpoint names from the naming service.
int | bind_to_naming_service (CORBA::Environment &env)
| Binds to the naming service.
int | register_vdev (CORBA::Environment &env)
| Registers vdev with the naming service.
int | register_stream_endpoint (CORBA::Environment &env)
| Registers stream_endpoint with the naming service.
int | release_semaphore ()
| Releases the semaphore on which the parent is waiting on.
virtual int | make_vdev (T_VDev *&vdev)
| Bridge method to create a vdev, a la Acceptor. Applications can override this.
virtual int | make_stream_endpoint (T_StreamEndpoint *&stream_endpoint)
| Bridge method to create a stream_endpoint, a la Acceptor. Applications can override this.
virtual int | make_mediactrl (T_MediaCtrl *&media_ctrl)
| Bridge method to create a media_ctrl, a la Acceptor. Applications can override this.
## Protected Attributes
CosNaming::NamingContext_var | naming_context_
| The root Naming Context of the TAO naming service.
CosNaming::Name | vdev_name_
| Name of the vdev.
CosNaming::Name | stream_endpoint_name_
| Name of the stream_endpoint.
T_StreamEndpoint* | stream_endpoint_
| The stream endpoint member.
T_VDev* | vdev_
| The virtual device.
T_MediaCtrl* | media_ctrl_
| Media controller.
pid_t | pid_
| pid of this process.
char | host_ [MAXHOSTNAMELEN]
| Name of the host.
CORBA::ORB_ptr | orb_
PortableServer::POA_ptr | poa_

## Detailed Description

### template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl> template class TAO_AV_Child_Process

Helper class for the child process created in TAO_AV_Endpoint_Process_Strategy.

## Constructor & Destructor Documentation

template<classT_StreamEndpoint_B, classT_VDev, classT_MediaCtrl>
TAO_AV_Child_Process<T_StreamEndpoint_B, T_VDev, T_MediaCtrl>::TAO_AV_Child_Process<T_StreamEndpoint_B, T_VDev, T_MediaCtrl> ( | )

| Constructor.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::~TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl> ( | )`[virtual]`

| Destructor.

## Member Function Documentation

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::activate_objects ( | int argc,
| char ** argv,
| CORBA::Environment & env )`[protected]`

| Creates the objects and inserts them into the Naming Service, so the parent can pick the IOR's and return them to the client

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
char * TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::activate_with_poa ( | PortableServer::Servant servant,
| CORBA::Environment & env )`[protected]`

| activate the servant with the poa.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::bind_to_naming_service ( | CORBA::Environment & env )`[protected]`

| Binds to the naming service.

template<classT_StreamEndpoint_B, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint_B, T_VDev, T_MediaCtrl>::init ( | int argc,
| char ** argv,
| CORBA::ORB_ptr orb,
| PortableServer::POA_ptr poa )

| Initializes the ORB, creates and activates the T_StreamEndpoint, T_VDev, T_MediaCtrl in the POA.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::make_mediactrl ( | T_MediaCtrl *& media_ctrl )`[protected, virtual]`

| Bridge method to create a media_ctrl, a la Acceptor. Applications can override this.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::make_stream_endpoint ( | T_StreamEndpoint *& stream_endpoint )`[protected, virtual]`

| Bridge method to create a stream_endpoint, a la Acceptor. Applications can override this.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::make_vdev ( | T_VDev *& vdev )`[protected, virtual]`

| Bridge method to create a vdev, a la Acceptor. Applications can override this.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::register_stream_endpoint ( | CORBA::Environment & env )`[protected]`

| Registers stream_endpoint with the naming service.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::register_vdev ( | CORBA::Environment & env )`[protected]`

| Registers vdev with the naming service.

template<classT_StreamEndpoint_B, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint_B, T_VDev, T_MediaCtrl>::release_semaphore ( | )`[protected]`

| Releases the semaphore on which the parent is waiting on.

template<classT_StreamEndpoint_B, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint_B, T_VDev, T_MediaCtrl>::run ( | ACE_Time_Value * tv = 0 )

| runs the ORB event loop.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::unbind_names ( | void )`[protected]`

| Removes the vdev and streamendpoint names from the naming service.

## Member Data Documentation

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
char TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::host_[MAXHOSTNAMELEN]`[protected]`

| Name of the host.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
T_MediaCtrl * TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::media_ctrl_`[protected]`

| Media controller.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
CosNaming::NamingContext_var TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::naming_context_`[protected]`

| The root Naming Context of the TAO naming service.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
CORBA::ORB_ptr TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::orb_`[protected]`

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
pid_t TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::pid_`[protected]`

| pid of this process.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
PortableServer::POA_ptr TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::poa_`[protected]`

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
T_StreamEndpoint * TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::stream_endpoint_`[protected]`

| The stream endpoint member.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
CosNaming::Name TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::stream_endpoint_name_`[protected]`

| Name of the stream_endpoint.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
T_VDev * TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::vdev_`[protected]`

| The virtual device.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
CosNaming::Name TAO_AV_Child_Process<T_StreamEndpoint, T_VDev, T_MediaCtrl>::vdev_name_`[protected]`

| Name of the vdev.

The documentation for this class was generated from the following files:

- Endpoint_Strategy_T.h
- Endpoint_Strategy_T.cpp